import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:tetrisdual/common/cubit/nav/nav_cubit_pages.dart';

import 'package:tetrisdual/cubit/activity/activity_cubit.dart';

class QuitGameButton extends StatelessWidget {
  const QuitGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return StyledButton(
      color: Colors.red,
      onPressed: () {
        BlocProvider.of<ActivityCubit>(context).quitActivity();
        BlocProvider.of<NavCubitPage>(context).goToPageHome();
      },
      child: const Image(
        image: AssetImage('assets/ui/button_back.png'),
        fit: BoxFit.fill,
      ),
    );
  }
}
