import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:tetrisdual/common/cubit/nav/nav_cubit_pages.dart';

import 'package:tetrisdual/cubit/activity/activity_cubit.dart';
import 'package:tetrisdual/cubit/settings/settings_activity_cubit.dart';
import 'package:tetrisdual/cubit/settings/settings_global_cubit.dart';

class StartNewGameButton extends StatelessWidget {
  const StartNewGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<ActivitySettingsCubit, ActivitySettingsState>(
      builder: (BuildContext context, ActivitySettingsState activitySettingsState) {
        return BlocBuilder<GlobalSettingsCubit, GlobalSettingsState>(
          builder: (BuildContext context, GlobalSettingsState globalSettingsState) {
            return StyledButton(
              color: Colors.blue,
              onPressed: () {
                BlocProvider.of<ActivityCubit>(context).startNewActivity(
                  activitySettings: activitySettingsState.settings,
                  globalSettings: globalSettingsState.settings,
                );
                BlocProvider.of<NavCubitPage>(context).goToPageGame();
              },
              child: const Image(
                image: AssetImage('assets/ui/button_start.png'),
                fit: BoxFit.fill,
              ),
            );
          },
        );
      },
    );
  }
}
