import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:tetrisdual/common/cubit/nav/nav_cubit_pages.dart';

import 'package:tetrisdual/cubit/activity/activity_cubit.dart';

class ResumeSavedGameButton extends StatelessWidget {
  const ResumeSavedGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return StyledButton(
      color: Colors.blue,
      onPressed: () {
        BlocProvider.of<ActivityCubit>(context).resumeSavedActivity();
        BlocProvider.of<NavCubitPage>(context).goToPageGame();
      },
      child: const Image(
        image: AssetImage('assets/ui/button_resume_game.png'),
        fit: BoxFit.fill,
      ),
    );
  }
}
